Loading...
Searching...
No Matches
openshot::CVDetectionData Struct Reference

`#include <CVObjectDetection.h>`

## Public Member Functions

| CVDetectionData ()
| CVDetectionData (std::vector< int > _classIds, std::vector< float > _confidences, std::vector< cv::Rect_< float > > _boxes, size_t _frameId, std::vector< int > _objectIds)

## Public Attributes

std::vector< cv::Rect_< float > > | boxes
std::vector< int > | classIds
std::vector< float > | confidences
size_t | frameId
std::vector< int > | objectIds

## Detailed Description

Definition at line 37 of file CVObjectDetection.h.

## Constructor & Destructor Documentation

## CVDetectionData() [1/2]

openshot::CVDetectionData::CVDetectionData | ( |  | ) |

inline

Definition at line 38 of file CVObjectDetection.h.

## CVDetectionData() [2/2]

openshot::CVDetectionData::CVDetectionData | ( | std::vector< int > | _classIds,
|  | std::vector< float > | _confidences,
|  | std::vector< cv::Rect_< float > > | _boxes,
|  | size_t | _frameId,
|  | std::vector< int > | _objectIds )

inline

Definition at line 39 of file CVObjectDetection.h.

## Member Data Documentation

## boxes

std::vector<cv::Rect_<float> > openshot::CVDetectionData::boxes

Definition at line 55 of file CVObjectDetection.h.

Referenced by openshot::CVObjectDetection::AddFrameDataToProto(), and CVDetectionData().

## classIds

std::vector<int> openshot::CVDetectionData::classIds

Definition at line 53 of file CVObjectDetection.h.

Referenced by openshot::CVObjectDetection::AddFrameDataToProto(), and CVDetectionData().

## confidences

std::vector<float> openshot::CVDetectionData::confidences

Definition at line 54 of file CVObjectDetection.h.

Referenced by openshot::CVObjectDetection::AddFrameDataToProto(), and CVDetectionData().

## frameId

size_t openshot::CVDetectionData::frameId

Definition at line 52 of file CVObjectDetection.h.

Referenced by openshot::CVObjectDetection::AddFrameDataToProto(), and CVDetectionData().

## objectIds

std::vector<int> openshot::CVDetectionData::objectIds

Definition at line 56 of file CVObjectDetection.h.

Referenced by openshot::CVObjectDetection::AddFrameDataToProto(), and CVDetectionData().

The documentation for this struct was generated from the following file:

- CVObjectDetection.h